Message info
 
To:ledger-smb-users@lists.sourceforge.net From:Erik Huelsmann Subject:Re: [Ledger-smb-users] ERROR: Permission denied for ... Date:Sun, 18 Mar 2012 16:03:13 +0100
 

Hi Dave,

On Sun, Mar 18, 2012 at 2:49 PM, Dave Coventry <dgcoventry@gmail.com> wrote:
Well, this is beyond me.

I've devoted the entire weekend to upgrading my database, but it looks
as though it would have been far more efficient to enter all the
information by hand.

It's the customer database that I'm primarily interested in, but after
repeatedly trying to import it, I have to give up. I've tried
importing it, I've tried running SQL inside psql, I've tried using
pgadmin, all in all a complete waste of time.

I'm sorry to hear about this. Can you send us a list of issues you ran into, so we can improve the wizzard? 
 
if anyone else has a 1.2 upgrade to make, do yourself a favour and
ignore the upgrade wizard and just set aside the hours required to
input the information by hand.

 I'd hope we can improve the wizzard instead, so people don't have to spend the hours of frustration you've experienced, nor the mind numbing hours to do manual input of all their data.

One reason migration from 1.2 to 1.3 is harder than some earlier migrations is because data consistency is no longer enforced by the Perl scripts, but by the database model. This means that even if the logic in the Perl scripts fails, the data in the database will still be consistent. The downside however is that this didn't used to be the case, so, old databases are likely to contain "inconsistent" data. This data needs to be corrected before it can be moved to 1.3. Because it's often very hard to determine what the inconsistent data should mean, manual intervention is required.

Thanks in advance for any info you can give us on the migration issues you were experiencing. If you don't feel comfortable sending the data to the public lists, please send it to Chris or me privately, if that's ok with you.

Bye,


Erik.